org.eclipse.ease.service

## Class EngineDescription

- java.lang.Object
- - org.eclipse.ease.service.EngineDescription

    public class EngineDescription
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EngineDescription(IConfigurationElement configurationElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IScriptEngine` `createEngine()` Create a dedicated script engine.
`java.lang.String` `getID()`
`java.lang.String` `getName()`
`int` `getPriority()`
`java.util.List<ScriptType>` `getSupportedScriptTypes()`
`boolean` `isReplShell()`
`boolean` `supports(IFile file)`
`boolean` `supports(java.lang.String scriptType)`
`boolean` `supportsDebugging()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EngineDescription

    public EngineDescription(IConfigurationElement configurationElement)

### Method Detail

#### getSupportedScriptTypes

    public java.util.List<ScriptType> getSupportedScriptTypes()

#### getPriority

    public int getPriority()

#### createEngine

    public IScriptEngine createEngine()

Create a dedicated script engine.

Returns:
  script engine or `null`

#### getID

    public java.lang.String getID()

#### getName

    public java.lang.String getName()

#### supports

    public boolean supports(java.lang.String scriptType)

#### supports

    public boolean supports(IFile file)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### supportsDebugging

    public boolean supportsDebugging()

#### isReplShell

    public boolean isReplShell()